=== xbmc/filesystem/VideoDatabaseDirectory/Makefile ===
SRCS=DirectoryNode.cpp \
     DirectoryNodeActor.cpp \
     DirectoryNodeCountry.cpp \
     DirectoryNodeDirector.cpp \
     DirectoryNodeEpisodes.cpp \
     DirectoryNodeGenre.cpp \
     DirectoryNodeMoviesOverview.cpp \
     DirectoryNodeMusicVideoAlbum.cpp \
     DirectoryNodeMusicVideosOverview.cpp \
     DirectoryNodeOverview.cpp \
     DirectoryNodeRecentlyAddedEpisodes.cpp \
     DirectoryNodeRecentlyAddedMovies.cpp \
     DirectoryNodeRecentlyAddedMusicVideos.cpp \
     DirectoryNodeRoot.cpp \
     DirectoryNodeSeasons.cpp \
     DirectoryNodeSets.cpp \
     DirectoryNodeStudio.cpp \
     DirectoryNodeTitleMovies.cpp \
     DirectoryNodeTitleMusicVideos.cpp \
     DirectoryNodeTitleTvShows.cpp \
     DirectoryNodeTvShowsOverview.cpp \
     DirectoryNodeYear.cpp \
     QueryParams.cpp \

LIB=videodatabasedirectory.a

include ../../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))
