=== xbmc/interfaces/json-rpc/Makefile ===
SRCS=ApplicationOperations.cpp \
     AudioLibrary.cpp \
     FileItemHandler.cpp \
     FileOperations.cpp \
     JSONRPC.cpp \
     JSONServiceDescription.cpp \
     PlayerOperations.cpp \
     PlaylistOperations.cpp \
     SystemOperations.cpp \
     InputOperations.cpp \
     VideoLibrary.cpp \
     XBMCOperations.cpp \

LIB=json-rpc.a

include ../../../Makefile.include
