=== xbmc/music/dialogs/Makefile ===
SRCS=GUIDialogMusicInfo.cpp \
     GUIDialogMusicOSD.cpp \
     GUIDialogMusicOverlay.cpp \
     GUIDialogMusicScan.cpp \
     GUIDialogSongInfo.cpp \
     GUIDialogVisualisationPresetList.cpp \

LIB=musicdialogs.a

include ../../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))
