=== debian/changelog ===
xbmc (2:11.0~git20120423.cd20772-1) experimental; urgency=low

  * New upload of Eden branch to experimental.
  * Upload contains fixes to build ARM packages.

 -- Andres Mejia <amejia@debian.org>  Mon, 23 Apr 2012 16:00:52 -0400

xbmc (2:11.0~git20120416.a630a51-2) experimental; urgency=low

  * Re-enable builds for other architectures besides amd64 and i386.
    (Closes: #668316)

 -- Andres Mejia <amejia@debian.org>  Thu, 19 Apr 2012 21:51:44 -0400

xbmc (2:11.0~git20120416.a630a51-1) unstable; urgency=low

  * New upload of Eden branch.
  * Use new patch to build/run XBMC with system tinyxml.

 -- Andres Mejia <amejia@debian.org>  Thu, 19 Apr 2012 21:17:34 -0400

xbmc (2:11.0~git20120403.ec33f1f+repack1-5) unstable; urgency=low

  * Disable building of xbmc for architectures other than amd64 and i386.

 -- Andres Mejia <amejia@debian.org>  Sat, 07 Apr 2012 18:31:49 -0400
