=== xbmc/dialogs/Makefile ===
SRCS=GUIDialogBoxBase.cpp \
     GUIDialogBusy.cpp \
     GUIDialogButtonMenu.cpp \
     GUIDialogCache.cpp \
     GUIDialogContextMenu.cpp \
     GUIDialogFavourites.cpp \
     GUIDialogFileBrowser.cpp \
     GUIDialogGamepad.cpp \
     GUIDialogKaiToast.cpp \
     GUIDialogKeyboard.cpp \
     GUIDialogMediaSource.cpp \
     GUIDialogMuteBug.cpp \
     GUIDialogNumeric.cpp \
     GUIDialogOK.cpp \
     GUIDialogPlayEject.cpp \
     GUIDialogPlayerControls.cpp \
     GUIDialogProgress.cpp \
     GUIDialogSeekBar.cpp \
     GUIDialogSelect.cpp \
     GUIDialogSlider.cpp \
     GUIDialogSmartPlaylistEditor.cpp \
     GUIDialogSmartPlaylistRule.cpp \
     GUIDialogSubMenu.cpp \
     GUIDialogTextViewer.cpp \
     GUIDialogVolumeBar.cpp \
     GUIDialogYesNo.cpp \

LIB=dialogs.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))
