=== xbmc/video/Makefile ===
SRCS=Bookmark.cpp \
     GUIViewStateVideo.cpp \
     Teletext.cpp \
     VideoDatabase.cpp \
     VideoInfoDownloader.cpp \
     VideoInfoScanner.cpp \
     VideoInfoTag.cpp \
     VideoReferenceClock.cpp \
     
LIB=video.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))
