=== xbmc/interfaces/http-api/Makefile ===
SRCS=HttpApi.cpp XBMChttp.cpp

LIB=http-api.a

include ../../../Makefile.include
