=== xbmc/video/dialogs/Makefile ===
SRCS=GUIDialogAudioSubtitleSettings.cpp \
     GUIDialogFileStacking.cpp \
     GUIDialogFullScreenInfo.cpp \
     GUIDialogTeletext.cpp \
     GUIDialogVideoBookmarks.cpp \
     GUIDialogVideoInfo.cpp \
     GUIDialogVideoOSD.cpp \
     GUIDialogVideoOverlay.cpp \
     GUIDialogVideoScan.cpp \
     GUIDialogVideoSettings.cpp \

LIB=videodialogs.a

include ../../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))
