=== debian/changelog ===
xbmc (2:11.0~git20120510.82388d5-1ubuntu7) raring; urgency=low

  * debian/rules: Removed GL check suppression via build-time architecture-
    specific change in /usr/bin/xbmc, as this file is in an architecture-
    independent package which the Ubuntu build servers always build on an
    an i386 server.
  * xbmc-startup-script-workarounds-for-arm.patch: Add two workarounds for
    ARM/Nexus 7 to the /usr/bin/xbmc startup script, once suppressing the GL
    check (LP: #1084201) and second, setting SDL_VIDEO_FULLSCREEN_DISPLAY=0
    to make fullscreen desktop application mode of XBMC working (LP: #1085350).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 12 Dec 2012 12:57:30 +0100

xbmc (2:11.0~git20120510.82388d5-1ubuntu6) raring; urgency=low

  * debian/rules: Added multi-arch search path for Python header files
    "-I/usr/include/$(DEB_HOST_MULTIARCH)/python2.7" to CFLAGS and CXXFLAGS.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 12 Dec 2012 08:47:30 +0100

xbmc (2:11.0~git20120510.82388d5-1ubuntu5) raring; urgency=low

  * debian/control: Added build dependency on python2.7-dev, also needed for
    Raring.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 11 Dec 2012 22:28:30 +0100

xbmc (2:11.0~git20120510.82388d5-1ubuntu4) raring; urgency=low

  * debian/control: Added build dependency on python-dev, needed for Raring.
  * debian/rules: If we are on ARM, disable the checking whether the system
    has GL support, as the check does not recognize GLES. This is also needed
    to fix LP: #1084201. Now XBMC works correctly as desktop environment or as
    desktop app in a window on the Nexus 7 (former method recommended due to
    memory limitations.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 11 Dec 2012 20:40:30 +0100

xbmc (2:11.0~git20120510.82388d5-1ubuntu3) raring; urgency=low

  * debian/rules: Use GLES instead of GL on the Nexus 7 (armhf). Patch from
    LP: #1084201.
  * debian/control: Added build dependency on libgles2-mesa-dev, needed for
    the GLES support on armhf.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 10 Dec 2012 20:40:30 +0100

xbmc (2:11.0~git20120510.82388d5-1ubuntu2) quantal; urgency=low

  * Recommend python-gtk2 instead of python-qt3 as the latter is going to
    be removed from the archive. (LP: #1029476; Debian bug #685076)
    python-qt3 was used by FEH.py and FEH-ARM.py. Both support gtk2 as an
    alternative output.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 24 Sep 2012 10:24:12 +0200

xbmc (2:11.0~git20120510.82388d5-1ubuntu1) quantal; urgency=low

  * Build-depend on libtiff-dev rather than libtiff4-dev | libtiff-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 09 Sep 2012 12:55:34 +0100

xbmc (2:11.0~git20120510.82388d5-1build2) quantal; urgency=low

  * No change rebuild with the new glew

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 10 Aug 2012 19:44:06 +0200

xbmc (2:11.0~git20120510.82388d5-1build1) quantal; urgency=low

  * No change rebuild with current glew

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 06 Aug 2012 19:56:03 +0200

xbmc (2:11.0~git20120510.82388d5-1) unstable; urgency=low

  [ Andres Mejia ]
  * New upload of Eden branch.
  * Don't provide xbmc-live package anymore. (Closes: #668404)
    (Closes: #671275) (Closes: #671668)
  * Require libtinyxml-dev (>= 2.6.2).
  * Include libmodplug library in Recommends.
  * Make libcurl-gnutls a strict dependency for xbmc-bin.
  * Add other recommended libraries used by xbmc.
  * Alphabetize lists of recommended dependencies.
  * Remove patches directory. All patches applied in Eden branch.

  [ Piethein Strengholt ]
  * remove live-scripts directory, part of #670482
  * no longer copy the live-scripts dir when building
  * live isn't a valid package in the control.in file
  * remove other xbmc-live references, part of #670482

 -- Andres Mejia <amejia@debian.org>  Thu, 10 May 2012 17:37:39 -0400

xbmc (2:11.0~git20120423.cd20772-2) unstable; urgency=low

  * Add lsb-release to xbmc-live dependencies.
  * Have xbmc-live depend on policykit-1. (Closes: #669727)
  * Only enable builds for amd64, i386, and armhf.
  * Update README.Debian file about packages that are built.
  * Don't set release variable if no version number is available.
    This fixes issue for Debian unstable which doesn't contain a version number.
  * Remove unused release variable in postrm script.
  * Set $release to 0 in case no version is given. (Closes: #670482)

 -- Andres Mejia <amejia@debian.org>  Wed, 02 May 2012 15:31:38 -0400
