=== debian/control ===
--- 
+++ 
@@ -1,10 +1,13 @@
 Source: xbmc
 Section: video
 Priority: optional
-Maintainer: Team XBMC <team-xbmc@lists.launchpad.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Team XBMC <team-xbmc@lists.launchpad.net>
 Uploaders: Andres Mejia <amejia@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
  python-support,
+ python-dev,
+ python2.7-dev,
  cmake,
  autopoint | gettext,
  autotools-dev,
@@ -77,8 +80,9 @@
  libshairport-dev,
  libnfs-dev,
  libltdl-dev,
- libtiff4-dev | libtiff-dev,
- libtinyxml-dev,
+ libtiff-dev,
+ libtinyxml-dev (>= 2.6.2),
+ libmp3lame-dev,
  libavcodec-dev (>= 4:0.7),
  libavfilter-dev (>= 4:0.7),
  libavformat-dev (>= 4:0.7),
@@ -87,6 +91,7 @@
  libswscale-dev (>= 4:0.7),
  libbluray-dev,
  libva-dev,
+ libgles2-mesa-dev
 Standards-Version: 3.9.3
 Homepage: http://xbmc.org/
 Vcs-Git: git://github.com/xbmc/xbmc-packaging.git
@@ -103,7 +108,7 @@
          python-imaging,
          ${python:Depends},
          ${misc:Depends}
-Recommends: python-qt3
+Recommends: python-gtk2
 Provides: xbmc-standalone, xbmc-data, xbmc-skin-confluence
 Replaces: xbmc-standalone, xbmc-data, xbmc-skin-confluence
 Breaks: xbmc-standalone (<< 2:11.0~git20111222.22ad8e4),
@@ -131,8 +136,9 @@
  working XBMC.
 
 Package: xbmc-bin
-Architecture: i386 amd64 powerpc ppc64 armel armhf
+Architecture: i386 amd64 armhf
 Depends: ${shlibs:Depends},
+         ${dlopenlibs:Depends},
          ${misc:Depends}
 Recommends: ${shlibs:Recommends}
 Provides: xbmc-common
@@ -158,37 +164,6 @@
  .
  This package contains all the binary data needed to have a working XBMC.
 
-Package: xbmc-live
-Architecture: all
-Depends: xbmc (= ${binary:Version}),
-         openssh-server,
-         ${python:Depends},
-         python-apt,
-         adduser,
-         sudo,
-         whois,
-         ${misc:Depends},
-Conflicts: kdm, gdm, xdm, wdm
-Description: XBMC Media Center (XBMC Live package)
- XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
- open source software media-player and entertainment hub for all your digital
- media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
- and Microsoft Windows, as well as the original Xbox game console. Created in
- 2003 by a group of like minded programmers, XBMC is a non-profit project run
- and developed by volunteers located around the world. More than 50 software
- developers have contributed to XBMC, and 100-plus translators have worked to
- expand its reach, making it available in more than 30 languages.
- .
- While XBMC functions very well as a standard media player application for
- your computer, it has been designed to be the perfect companion for your
- HTPC. Supporting an almost endless range of remote controls, and combined
- with its beautiful interface and powerful skinning engine, XBMC feels very
- natural to use from the couch and is the ideal solution for your home
- theater. Once installed, your computer will become a fully functional
- multimedia jukebox.
- .
- This package is used to setup the XBMC Live environment.
-
 Package: xbmc-eventclients-common
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}
@@ -238,7 +213,7 @@
  This is the Development package for XBMC Event Client.
 
 Package: xbmc-eventclients-wiiremote
-Architecture: i386 amd64 powerpc ppc64 armel armhf
+Architecture: i386 amd64 armhf
 Depends: xbmc-eventclients-common (= ${source:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
@@ -286,3 +261,26 @@
  theater. Once installed, your computer will become a fully functional
  multimedia jukebox.
  .
+ This package is the J2ME package for XBMC Event Client. This is meant to
+ provide a server that communicate with a mobile tool supporting Java ME.
+
+Package: xbmc-eventclients-ps3
+Architecture: all
+Depends: xbmc-eventclients-common (= ${binary:Version}),
+         python-bluez | python-lightblue,
+         ${python:Depends},
+         ${misc:Depends}
+Description: XBMC Media Center (Event Client PS3 package)
+ XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
+ open source software media-player and entertainment hub for all your digital
+ media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
+ and Microsoft Windows, as well as the original Xbox game console. Created in
+ 2003 by a group of like minded programmers, XBMC is a non-profit project run
+ and developed by volunteers located around the world. More than 50 software
+ developers have contributed to XBMC, and 100-plus translators have worked to
+ expand its reach, making it available in more than 30 languages.
+ .
+ While XBMC functions very well as a standard media player application for
+ your computer, it has been designed to be the perfect companion for your
+ HTPC. Supporting an almost endless range of remote controls, and combined
+ with its beautiful interface and powerful skinning engine, XBMC feels very
