=== debian/rules ===
--- 
+++ 
@@ -26,19 +26,22 @@
   ARCH_SPECIFIC_OPTIONS = --disable-crystalhd
 else
   ARCH_SPECIFIC_OPTIONS = --enable-crystalhd
+  ARCH_SPECIFIC_LIB_RECOMMENDS = -lcrystalhd
 endif
 
-# Enable gles for armel
+# Enable gles for arm and disable check for GL support on startup
 ifeq (,$(filter armel,$(DEB_HOST_ARCH)))
-GL_CONFIG_OPTIONS = --enable-gl --disable-gles
-OPENMAX_OPTIONS = --disable-openmax
+  ifeq (,$(filter armhf,$(DEB_HOST_ARCH)))
+    GL_CONFIG_OPTIONS = --enable-gl --disable-gles --enable-vdpau
+  else
+    GL_CONFIG_OPTIONS = --disable-vaapi --disable-vdpau --disable-gl --enable-gles
+  endif
 else
-GL_CONFIG_OPTIONS = --disable-gl --enable-gles
-OPENMAX_OPTIONS = --enable-openmax
+  GL_CONFIG_OPTIONS = --disable-gl --enable-gles
 endif
 
 # Various environment variables to set
-ENV_OPTIONS = CFLAGS="$(DEB_CFLAGS)" CXXFLAGS="$(DEB_CXXFLAGS)"
+ENV_OPTIONS = CFLAGS="$(DEB_CFLAGS) -I/usr/include/$(DEB_HOST_MULTIARCH)/python2.7" CXXFLAGS="$(DEB_CXXFLAGS) -I/usr/include/$(DEB_HOST_MULTIARCH)/python2.7"
 
 # List of options to pass to configure. Can be overridden.
 # Extra options can simply be passed using XBMC_CONFIG_EXTRA_OPTIONS env
@@ -48,10 +51,9 @@
   --prefix=/usr --docdir=/usr/share/doc/xbmc \
   $(DEBUG_OPTIONS) \
   $(GL_CONFIG_OPTIONS) \
-  --enable-vdpau \
   --disable-vdadecoder \
   --disable-vtbdecoder \
-  $(OPENMAX_OPTIONS) \
+  --disable-openmax \
   --disable-tegra \
   --disable-profiling \
   --enable-joystick \
@@ -106,31 +108,41 @@
 	dh_install --sourcedir=$(CURDIR)/debian/tmp -XLICENCE \
 		-XLicence.txt -XLicense.txt -XLiberationSans-Regular.ttf \
 		-XDejaVuSans.ttf -XDejaVuSans-Bold.ttf -XLICENSE.txt
-	# Add in scripts to packaging
-	mkdir -p debian/xbmc-live/usr/bin/
-	cp -f live-scripts/diskmounter live-scripts/runXBMC \
-		debian/xbmc-live/usr/bin/
-	mkdir -p debian/xbmc-live/etc/xbmc
-	cp -rf live-scripts/live.d debian/xbmc-live/etc/xbmc
 
 override_dh_makeshlibs:
 	# We don't install shared libraries in standard locations so don't run
 	# dh_makeshlibs
 
-override_dh_shlibdeps: debian/tmp/xbmc-bin-dummy.so
+override_dh_shlibdeps: debian/tmp/xbmc-bin-depends-dummy.so debian/tmp/xbmc-bin-recommends-dummy.so
 	dh_shlibdeps -a -O--parallel \
 		-l$(CURDIR)/debian/xbmc-bin/usr/lib/xbmc/system/players/dvdplayer
 	# Need to manually add dependencies for dlopened libs.
-	dpkg-shlibdeps -dRecommends -edebian/tmp/xbmc-bin-dummy.so -xlibc6 -O >>debian/xbmc-bin.substvars
+	dpkg-shlibdeps -pdlopenlibs -edebian/tmp/xbmc-bin-depends-dummy.so -xlibc6 -O >>debian/xbmc-bin.substvars
+	dpkg-shlibdeps -dRecommends -edebian/tmp/xbmc-bin-recommends-dummy.so -xlibc6 -O >>debian/xbmc-bin.substvars
 
-debian/tmp/xbmc-bin-dummy.so:
+debian/tmp/xbmc-bin-depends-dummy.so:
 	mkdir -p debian/tmp
 	cc -xc -shared -Wl,--no-as-needed -o $@ /dev/null \
-		-lcurl-gnutls \
+		-lcurl-gnutls
+
+debian/tmp/xbmc-bin-recommends-dummy.so:
+	mkdir -p debian/tmp
+	cc -xc -shared -Wl,--no-as-needed -o $@ /dev/null \
+		-lass \
+		-lbluray \
+		-lcec \
+		-lFLAC \
+		-lmad \
+		-lmodplug \
+		-lmp3lame \
+		-lmpeg2 \
+		-lnfs \
+		-logg \
+		-lplist \
+		-lrtmp \
+		-lshairport \
 		-lvdpau \
-		-lrtmp \
-		-lnfs \
-		-lshairport \
-		-lplist \
-		-lass \
-		-lcec
+		-lvorbis \
+		-lvorbisenc \
+		-lvorbisfile \
+		$(ARCH_SPECIFIC_LIB_RECOMMENDS)
